<?php

$form = $this->beginWidget('ext.PlGrid.PlActiveForm', array(
    'id' => 'phonesettings-credentials-password-form',
    'gridId' => 'phonesettings-credentials-grid',
    'action' => $model->isNewRecord ? array('create') : array()
        ));

echo $form->passwordFieldRow($model, 'oldPassword', array(
    'class' => 'span3',
    'value' => '',
    'data-translation-target' => 'PHONESETTINGS_CREDENTIALS_OLD_PASSWORD_TARGET',
));

echo $form->passwordFieldRow($model, 'newPassword', array(
    'class' => 'span3',
    'value' => '',
    'data-translation-target' => 'PHONESETTINGS_CREDENTIALS_NEW_PASSWORD_TARGET',
));

echo $form->passwordFieldRow($model, 'confirmPassword', array(
    'class' => 'span3',
    'value' => '',
    'data-translation-target' => 'PHONESETTINGS_CREDENTIALS_CONFIRM_PASSWORD_TARGET',
));
if (Yii::app()->user->translateMode) {
    echo '<i data-translation-id = "PHONESETTINGS_CREDENTIALS_OLD_PASSWORD" data-translation-target = "PHONESETTINGS_CREDENTIALS_OLD_PASSWORD_TARGET"></i>';
    echo '<i data-translation-id = "USER_MODEL_PHONESETTINGS_CREDENTIALS_OLD_PASSWORD_ERROR_MESSAGE" data-translation-target = "PHONESETTINGS_CREDENTIALS_OLD_PASSWORD_TARGET"></i>';

    echo '<i data-translation-id = "PHONESETTINGS_CREDENTIALS_NEW_PIN" data-translation-target = "PHONESETTINGS_CREDENTIALS_NEW_PIN_TARGET"></i>';
    echo '<i data-translation-id = "USER_MODEL_PHONESETTINGS_CREDENTIALS_PASSWORD_REPEAT_ERROR_MESSAGE" data-translation-target = "PHONESETTINGS_CREDENTIALS_NEW_PASSWORD_TARGET"></i>';

    echo '<i data-translation-id = "PHONESETTINGS_CREDENTIALS_CONFIRM_PASSWORD" data-translation-target = "PHONESETTINGS_CREDENTIALS_CONFIRM_PASSWORD_TARGET"></i>';
    echo '<i data-translation-id = "USER_MODEL_PHONESETTINGS_CREDENTIALS_PASSWORD_REPEAT_ERROR_MESSAGE" data-translation-target = "PHONESETTINGS_CREDENTIALS_CONFIRM_PASSWORD_TARGET"></i>';
}

$this->endWidget();
